## org.apache.axis.transport.jms
Class JMSConnector.SyncConnection

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.apache.axis.transport.jms.JMSConnector.Connection
                  |
                  +--org.apache.axis.transport.jms.JMSConnector.SyncConnection

All Implemented Interfaces:
  javax.jms.ExceptionListener, java.lang.Runnable

Enclosing class:
  JMSConnector

protected abstract class JMSConnector.SyncConnection
extends org.apache.axis.transport.jms.JMSConnector.Connection

Nested Class Summary
`protected class` `JMSConnector.SyncConnection.SendSession`

Field Summary
`protected javax.jms.Connection` `m_connection`
`protected boolean` `m_isActive`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`protected abstract JMSConnector.SyncConnection.SendSession` `createSendSession(javax.jms.Connection connection)`
`protected void` `onConnect()`
`protected void` `onException()`
`void` `onException(javax.jms.JMSException exception)`
`protected void` `onShutdown()`
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_connection

    protected javax.jms.Connection m_connection

### m_isActive

    protected boolean m_isActive

Method Detail

### createSendSession

    protected abstract JMSConnector.SyncConnection.SendSession createSendSession(javax.jms.Connection connection)
                                                                          throws javax.jms.JMSException

    `javax.jms.JMSException`

### onConnect

    protected void onConnect()
                      throws javax.jms.JMSException

  Specified by:
    `onConnect` in class `org.apache.axis.transport.jms.JMSConnector.Connection`
    `javax.jms.JMSException`

### onException

    protected void onException()

  Specified by:
    `onException` in class `org.apache.axis.transport.jms.JMSConnector.Connection`

### onShutdown

    protected void onShutdown()

  Specified by:
    `onShutdown` in class `org.apache.axis.transport.jms.JMSConnector.Connection`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### onException

    public void onException(javax.jms.JMSException exception)

  Specified by:
    `onException` in interface `javax.jms.ExceptionListener`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.